
    module CTanks
    use SimulationVariables
    use CManifolds
	implicit none    
	public 
	contains


    subroutine CTankToJson(parent)

        type(json_value),pointer :: parent
        type(json_core) :: json
        type(json_value),pointer :: p,pform
        integer :: i

        call json%create_array(p,'CTank')

        do i=1,data%Equipments%Tanks%CTank%Count
            call json%create_object(pform,'')
            call json%add(pform,"WaterRate",data%Equipments%Tanks%CTanks%WaterRate)
            call json%add(pform,"CementTankVolume",data%Equipments%Tanks%CTanks%CementTankVolume)
            call json%add(pform,"CementTankDensity",data%Equipments%Tanks%CTanks%CementTankDensity)
            call json%add(pform,"TripTankVolume",data%Equipments%Tanks%CTanks%TripTankVolume)
            call json%add(pform,"TripTankDensity",data%Equipments%Tanks%CTanks%TripTankDensity)
            call json%add(pform,"ManualPumpPower",data%Equipments%Tanks%CTanks%ManualPumpPower)
            call json%add(pform,"Valve1",data%Equipments%Tanks%CTanks%Valve1)
            call json%add(pform,"Valve2",data%Equipments%Tanks%CTanks%Valve2)
            call json%add(pform,"Valve3",data%Equipments%Tanks%CTanks%Valve3)
            call json%add(pform,"Valve4",data%Equipments%Tanks%CTanks%Valve4)
            call json%add(pform,"Valve5",data%Equipments%Tanks%CTanks%Valve5)
            call json%add(pform,"Valve6",data%Equipments%Tanks%CTanks%Valve6)
            call json%add(pform,"Valve7",data%Equipments%Tanks%CTanks%Valve7)
            call json%add(pform,"Valve8",data%Equipments%Tanks%CTanks%Valve8)
            call json%add(pform,"Valve9",data%Equipments%Tanks%CTanks%Valve9)
            call json%add(pform,"Valve10",data%Equipments%Tanks%CTanks%Valve10)
            call json%add(pform,"Valve11",data%Equipments%Tanks%CTanks%Valve11)

            call json%add(p,pform)
        end do


        call json%add(parent,p)
    end subroutine


	subroutine Set_ManualPumpPower(v)
        use CManifolds, only:ChangeValve
        implicit none
        logical, intent(in) :: v
        data%EquipmentControl%Tank%ManualPumpPower = v
        call ChangeValve(43, v)
		#ifdef deb
				print*, 'ManualPumpPower=', data%EquipmentControl%Tank%ManualPumpPower
		#endif
    end subroutine

	
end module CTanks